Get report for a specific date (E-reporting)
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/reportimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/report"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date": "2025-01-01",
"location_id": "371ca583-d218-4900-b236-397532cf0e52",
"orders": [],
"payments": []
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Closure / Report
Get report for a specific date (E-reporting)
The endpoints returns the report for a specific date containing the required data for e-reporting
GET
/
consumers
/
{consumer_id}
/
pos
/
report
Get report for a specific date (E-reporting)
Learn more:
Path Parameters
Query Parameters
Filter based on the business date
Unique identifier of the location. If none passed, we will use the selected location by the end-user. If no location was selected, we will return an error.
Response
Successful Response
Date of the report
Example:
"2025-01-01"
Unique identifier of the location
Example:
"371ca583-d218-4900-b236-397532cf0e52"
List of orders related to the report
Show child attributes
Show child attributes
List of payments related to the report
Show child attributes
Show child attributes